> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1orchestrationdomain



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Orchestration//swagger/v1/swagger.json post /api/v1/orchestration/Domain
openapi: 3.0.0
info:
  title: NDS.Services.Orchestration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Orchestration/
security: []
paths:
  /api/v1/orchestration/Domain:
    post:
      tags:
        - Domain
      operationId: Domain_SaveDomain
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveDomainRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveDomainResult'
components:
  schemas:
    SaveDomainRequest:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        DomainName:
          type: string
          minLength: 3
          pattern: ^\S*$
          nullable: true
        HostRelativePath:
          type: string
          nullable: true
        DnsHostName:
          type: string
          pattern: ^\S*$
          nullable: true
        PublicKey:
          type: string
          nullable: true
        PrivateKey:
          type: string
          nullable: true
    SaveDomainResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            DomainId:
              type: string
              format: guid
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````